# org.springframework.jdbc.support

## Interfaces

- DatabaseMetaDataCallback
- KeyHolder
- SQLExceptionTranslator
- SqlValue

## Classes

- AbstractFallbackSQLExceptionTranslator
- CustomSQLErrorCodesTranslation
- CustomSQLExceptionTranslatorRegistrar
- CustomSQLExceptionTranslatorRegistry
- DatabaseStartupValidator
- GeneratedKeyHolder
- JdbcAccessor
- JdbcUtils
- SQLErrorCodes
- SQLErrorCodesFactory
- SQLErrorCodeSQLExceptionTranslator
- SQLExceptionSubclassTranslator
- SQLStateSQLExceptionTranslator

## Exceptions

- MetaDataAccessException